#include "testlib.h"
#include <iostream>
using namespace std;
 
int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    long long C = atoi(argv[1]);
    long long noise = 20;
    if (C <= 200) noise = 5;
    if (C <= 40) noise = 1;

    double cx = C / 2.0 + (rnd.next(0, 99) / 100.0);
    double cy = C / 2.0 + (rnd.next(0, 99) / 100.0);
    double r = C / 2.0 - (4 + noise) + (rnd.next(0, 99) / 100.0);
    double pi = acos(-1.0);
    double p3 = pi / 3;
    double al = rnd.next(0, 99) / 100.0;
    long long t = 1000;
    cout << t << endl;
    while (t--) {
        for (int i = 0; i < 6; ++i) {
            double phi = al + (5 - i) * p3;
            long long xx = cx + r * sin(phi);
            long long yy = cy + r * cos(phi);
            xx += rnd.next(-noise, noise);
            yy += rnd.next(-noise, noise);
            cout << xx << " " << yy << endl;
        }
    }
 
    return 0;
}